API reference
Expense Templates
NQD API Expense Templates reference. List expense templates; Create expense templates; Upsert expense template
GET
List expense templates /v1/expenses/templatesPOST
Create expense templates /v1/expenses/templatesPUT
Upsert expense template /v1/expenses/templates/{templateId}DELETE
Delete expense template /v1/expenses/templates/{templateId}PUT
Upsert expense templates in a batch /v1/expenses/templatesGET
List applied entries for an expense template /v1/expenses/templates/{templateId}/entriesPOST
Add applied entry to an expense template /v1/expenses/templates/{templateId}/entriesPATCH
Partially update applied entry on an expense template /v1/expenses/templates/{templateId}/entries/{entryId}DELETE
Remove applied entry from an expense template /v1/expenses/templates/{templateId}/entries/{entryId}PUT
Reorder applied entries for an expense template /v1/expenses/templates/{templateId}/entries/reorderGET
List applied modifiers for an expense template /v1/expenses/templates/{templateId}/modifiersPOST
Add applied modifier to an expense template /v1/expenses/templates/{templateId}/modifiersPATCH
Partially update applied modifier on an expense template /v1/expenses/templates/{templateId}/modifiers/{modifierId}DELETE
Remove applied modifier from an expense template /v1/expenses/templates/{templateId}/modifiers/{modifierId}PUT
Reorder applied modifiers for an expense template /v1/expenses/templates/{templateId}/modifiers/reorderEvery operation uses the same Core contract as the dashboard. Request and response fields, examples, and code samples are generated from the current API descriptor.